Get user profile
curl --request GET \
--url https://api.example.com/api/core/user/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/core/user/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/core/user/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"preferred_language": "de",
"preferred_model": "<string>",
"active_org_id": "<string>",
"favorite_use_cases": [
"<string>"
],
"login_history": [
{
"timestamp": "2023-11-07T05:31:56Z",
"method": "<string>",
"ip_address": "<string>",
"user_agent": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"oauth_tokens": {},
"email": "<string>"
}user
Get user profile
Retrieve the authenticated user’s profile information including preferences and favorites. Adds a login entry to the user’s history.
GET
/
api
/
core
/
user
/
profile
Get user profile
Authorizations
BearerAuthAuthorizationProvider
Bearer token authentication. Format: 'Bearer '
Response
200 - application/json
Successful Response
Response model for user profile that includes email from authenticated user
Subset of locales supported by the frontend and our MultilingualText model.
Available options:
de, en, es, fr, it, nl, pl, pt, sv Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

